curl --request GET \
--url https://api.entendre.finance/v1/memory \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.entendre.finance/v1/memory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.entendre.finance/v1/memory"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"documents": [
{
"path": "knowledge/vendors.md",
"layer": "org",
"frontmatter": null,
"suppressed": false
}
],
"truncated": false,
"next_cursor": null
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid path, query or request body.",
"request_id": "req_example"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or expired API Key",
"request_id": "req_example",
"suggested_action": "Send an API key in X-API-Key, or an OAuth access token as Authorization: Bearer. Refresh an expired access token.",
"documentation_url": "https://entendre.ai/docs/get-started/authentication"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Insufficient access to organization",
"request_id": "req_example"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Retry after 30s.",
"request_id": "req_example"
}
}{
"error": {
"code": "PROVIDER_ERROR",
"message": "The memory service is temporarily unavailable.",
"request_id": "req_example"
}
}List memory
Lists memory documents or operational rules.
curl --request GET \
--url https://api.entendre.finance/v1/memory \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.entendre.finance/v1/memory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.entendre.finance/v1/memory"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"documents": [
{
"path": "knowledge/vendors.md",
"layer": "org",
"frontmatter": null,
"suppressed": false
}
],
"truncated": false,
"next_cursor": null
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid path, query or request body.",
"request_id": "req_example"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or expired API Key",
"request_id": "req_example",
"suggested_action": "Send an API key in X-API-Key, or an OAuth access token as Authorization: Bearer. Refresh an expired access token.",
"documentation_url": "https://entendre.ai/docs/get-started/authentication"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Insufficient access to organization",
"request_id": "req_example"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Retry after 30s.",
"request_id": "req_example"
}
}{
"error": {
"code": "PROVIDER_ERROR",
"message": "The memory service is temporarily unavailable.",
"request_id": "req_example"
}
}kind=rule, the list contains all organization rules and is not paginated. domain selects classification or cash_application. Rules apply only to your organization and do not inherit firm documents.Authorizations
Your organization API key. See Authentication.
Query Parameters
document (the default) for a memory document, or rule for an operational rule.
document, rule Document only. Relative directory, such as knowledge/. Empty lists the tree root.
Document only. The next_cursor value from the previous page.
256Document only. Most documents to return in this page.
1 <= x <= 100Rule only. Limits the lookup to one rule domain.
classification, cash_application Response
File paths and metadata for the directory.
- Option 1
- Option 2
true when the request succeeded.
Documents in the directory.
Show child attributes
Show child attributes
Some documents were left out because the response was too large. Truncation does not show that a document is absent or that another page follows.
Pass as cursor with the same filters to continue. Null when the listing is complete.